summaryrefslogtreecommitdiffstats
path: root/dev-tqt/tqt/tqt-9999.ebuild
diff options
context:
space:
mode:
authorormorph <roma251078@mail.ru>2021-11-20 21:49:02 +0300
committerormorph <roma251078@mail.ru>2021-11-23 00:17:39 +0300
commit984f9d117bac955d7ebdd91627ee63c69c464052 (patch)
treebb58ee4be7ec57ce4a21d630863bb45a3d200bc8 /dev-tqt/tqt/tqt-9999.ebuild
parentf3e4414f4c102bc10967db988eab64dad18371a6 (diff)
downloadtde-packaging-gentoo-984f9d11.tar.gz
tde-packaging-gentoo-984f9d11.zip
Added fixes for tqt
Signed-off-by: ormorph <roma251078@mail.ru>
Diffstat (limited to 'dev-tqt/tqt/tqt-9999.ebuild')
-rw-r--r--dev-tqt/tqt/tqt-9999.ebuild15
1 files changed, 13 insertions, 2 deletions
diff --git a/dev-tqt/tqt/tqt-9999.ebuild b/dev-tqt/tqt/tqt-9999.ebuild
index 8cc7a769..964fb8e3 100644
--- a/dev-tqt/tqt/tqt-9999.ebuild
+++ b/dev-tqt/tqt/tqt-9999.ebuild
@@ -200,8 +200,13 @@ src_configure() {
use debug && myconf+=" -debug" || myconf+=" -release -no-g++-exceptions -no-exceptions"
- use mysql && myconf+=" -plugin-sql-mysql -I/usr/include/mysql -L/usr/$(get_libdir)/mysql" || myconf+=" -no-sql-mysql"
- use mariadb && myconf+=" -plugin-sql-mysql -I/usr/include/mariadb -L/usr/$(get_libdir)/mariadb" || myconf+=" -no-sql-mysql"
+ if use mysql ; then
+ myconf+=" -plugin-sql-mysql -I/usr/include/mysql -L/usr/$(get_libdir)/mysql"
+ elif use mariadb ; then
+ myconf+=" -plugin-sql-mysql -I/usr/include/mariadb -L/usr/$(get_libdir)/mariadb"
+ else
+ myconf+=" -no-sql-mysql"
+ fi
use postgres && myconf+=" -plugin-sql-psql -I/usr/include/postgresql/server -I/usr/include/postgresql/pgsql -I/usr/include/postgresql/pgsql/server" || myconf+=" -no-sql-psql"
use firebird && myconf+=" -plugin-sql-ibase -I/opt/firebird/include" || myconf+=" -no-sql-ibase"
use sqlite && myconf+=" -plugin-sql-sqlite -plugin-sql-sqlite3" || myconf+=" -no-sql-sqlite -no-sql-sqlite3"
@@ -246,6 +251,12 @@ src_install() {
# Fix qmake.conf files
find "${D}${TQTBASE}/mkspecs" -name qmake.conf | xargs \
sed -i -e "s:\$(TQTDIR):${TQTBASE}:" || die
+ find "${D}${TQTBASE}/mkspecs" -name qmake.conf | while read file
+ do
+ if ! grep CONFIG "${file}" | grep -q thread ; then
+ sed "s/link_prl/link_prl thread/" -i "${file}" || die
+ fi
+ done
# Fix pkgconfig location
dodir /usr/$(get_libdir)